Bulk unenroll agents
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agents/bulk_unenroll
-
POST
/s/{space_id}/api/fleet/agents/bulk_unenroll
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
Kibana's anti Cross-Site Request Forgery token. Can be any string value.
-
agents
union string | string[]
required
-
force
boolean
-
Unenrolls hosted agents too
-
includeInactive
boolean
-
When passing agents by KQL query, unenrolls inactive agents too
-
revoke
boolean
-
Revokes API keys of agents
Thank you for your feedback.